import { ToolbarActionToggle } from '../../toolbar';
import { FindState } from './find-controller';
import { FindPlugin } from './find-plugin';
export declare class FindToolbarItem extends ToolbarActionToggle {
    protected bar?: HTMLDivElement;
    protected findField?: HTMLInputElement;
    protected findHighlightAll?: HTMLInputElement;
    protected findCaseSensitive?: HTMLInputElement;
    protected findMatchDiacritics?: HTMLInputElement;
    protected findEntireWord?: HTMLInputElement;
    protected findMsg?: HTMLSpanElement;
    protected findResultsCount?: HTMLSpanElement;
    protected findPreviousButton?: HTMLButtonElement;
    protected findNextButton?: HTMLButtonElement;
    get findPlugin(): FindPlugin;
    init(): void;
    destroy(): void;
    reset(): void;
    dispatchEvent(type?: string, findPrevious?: boolean): void;
    updateUIState(state?: FindState, previous?: boolean, matchesCount?: {}): void;
    updateResultsCount({ current, total }?: {
        current?: number | undefined;
        total?: number | undefined;
    }): void;
    open(): void;
    close(): void;
}
